Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jst.jsf.context.symbol.internal.provisional.source
Class AbstractContextSymbolFactory

    java.lang.Object
      org.eclipse.jst.jsf.context.symbol.internal.provisional.source.AbstractContextSymbolFactory

public abstract class AbstractContextSymbolFactory
extends java.lang.Object

Must be sub-classed by all contextSymbolFactory extension point implementors to create context configured symbols

Constructor Summary
`AbstractContextSymbolFactory()`

Method Summary
`ISymbol` | `create(java.lang.String symbolName, int scope, org.eclipse.core.runtime.IAdaptable context, java.util.List problems)`
`protected abstract ISymbol` | `internalCreate(java.lang.String symbolName, int scope, org.eclipse.core.runtime.IAdaptable context, java.util.List problems)`
`abstract boolean` | `supports(org.eclipse.core.runtime.IAdaptable context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractContextSymbolFactory

    public AbstractContextSymbolFactory()

Method Detail

### create

    public final ISymbol create(java.lang.String symbolName,
                                int scope,
                                org.eclipse.core.runtime.IAdaptable context,
                                java.util.List problems)

  Parameters:
    `symbolName` - -- the symbol name
    `scope` - -- the scope of the symbol
    `context` - -- the context; must be supported (call supports(context))
    `problems` - -- populated with problems found during symbol construction.
  Returns:
    a new ISymbol configured for the name, scope and context or null if the arguments are valid but some other reason a symbol cannot be created.
  Throws:
    `java.lang.IllegalArgumentException` - if this method is called with context for which supports(context) == false or if scope does not conform to exactly one of the ISymbolConstants.SYMBOL_SCOPE_* constants

### internalCreate

    protected abstract ISymbol internalCreate(java.lang.String symbolName,
                                              int scope,
                                              org.eclipse.core.runtime.IAdaptable context,
                                              java.util.List problems)

  Parameters:
    `symbolName` -
    `scope` -
    `context` -
    `problems` - -- see problems arg on create
  Returns:
    a new ISymbol for the name, scope and context

### supports

    public abstract boolean supports(org.eclipse.core.runtime.IAdaptable context)

  Parameters:
    `context` -
  Returns:
    true if this factory supports the context

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD